/**
 * Copyright (C) 2006-2006 RaisePartner
 */

import org.objectweb.util.monolog.Monolog;
import org.objectweb.util.monolog.api.BasicLevel;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.LoggerFactory;


public class EBMWebSourcingExample {

    public static void main(String[] args) {
        LoggerFactory lf;
        switch(args.length) {
        case 0:
            //Let monolog find the monolog.properties in the classpath or use
            // the default configuration
            lf = Monolog.initialize();
            break;
        case 1:
            // A monolog configuration file has been specified, then use it
            lf = Monolog.getMonologFactory(args[0]);
            break;
        default:
            System.out.println("Syntax error!\nUsage: java EBMWebSourcingExample [<monolog file name>]");
            return;
        }
        Logger joramLogger1 = lf.getLogger("org.objectweb.joram");
        Logger joramLogger2 = lf.getLogger("org.objectweb.joram.module");
        Logger petalsLogger1 = lf.getLogger("org.objectweb.petals");
        Logger petalsLogger2 = lf.getLogger("org.objectweb.petals.module");
        Logger otherLogger = lf.getLogger("org.objectweb.other");
        joramLogger1.log(BasicLevel.DEBUG, "msg 1 debug on joram logger");
        joramLogger1.log(BasicLevel.WARN, "msg 2 warn on joram logger");
        joramLogger2.log(BasicLevel.DEBUG, "msg 3 debug on joram.module logger");
        joramLogger2.log(BasicLevel.WARN, "msg 4 warn on joram.module logger");

        petalsLogger1.log(BasicLevel.DEBUG, "msg 5 debug on petals logger");
        petalsLogger1.log(BasicLevel.WARN, "msg 6 warn on petals logger");
        petalsLogger2.log(BasicLevel.DEBUG, "msg 7 debug on petals.module logger");
        petalsLogger2.log(BasicLevel.WARN, "msg 8 warn on petals.module logger");
        
        otherLogger.log(BasicLevel.DEBUG, "msg 9 debug on other logger");
        otherLogger.log(BasicLevel.WARN, "msg 10 warn on other logger");
    }
}
